# $Revision: 1.55 $, $Date: 2012/02/13 14:08:09 $
# TODO:
# - some files are not packaged:
#   /usr/include/tuxpaint/tp_magic_api.h
#   /usr/share/doc/tuxpaint-dev/Makefile
#   /usr/share/doc/tuxpaint-dev/README.txt
#   /usr/share/doc/tuxpaint-dev/html/README.html
#   /usr/share/doc/tuxpaint-dev/tp_magic_example.c
# - some locales are not included
# - separate stamps to make them noarch
#
%define		stamps_ver	2009.06.28
Summary:	Tux Paint - A simple drawing program for children
Summary(pl.UTF-8):	Tux Paint - Prosty program do rysowania dla dzieci
Name:		tuxpaint
Version:	0.9.21
Release:	4
Epoch:		1
License:	GPL v2+
Group:		X11/Applications/Graphics
Source0:	http://dl.sourceforge.net/tuxpaint/%{name}-%{version}.tar.gz
# Source0-md5:	a88401d1860648098eeed819cff038fa
Source1:	http://dl.sourceforge.net/tuxpaint/%{name}-stamps-%{stamps_ver}.tar.gz
# Source1-md5:	06ceccd22074bdbf95c7c8776f7f49a9
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-vfolders.patch
Patch2:		%{name}-locale_names.patch
Patch3:		%{name}-ldflags.patch
Patch4:		%{name}-libpng15.patch
URL:		http://www.tuxpaint.org/
BuildRequires:	SDL_Pango-devel
BuildRequires:	SDL_image-devel >= 1.2.2
BuildRequires:	SDL_mixer-devel >= 1.2.4
BuildRequires:	SDL_ttf-devel >= 2.0.5
BuildRequires:	fribidi-devel
BuildRequires:	gettext-devel
BuildRequires:	libpaper-devel
BuildRequires:	librsvg-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/X11

%description
Tux Paint is a simple drawing program for young children (3-10 years
old). It is not meant as a general-purpose drawing tool. It is meant
to be fun and easy to use. Sound effects and a cartoon character help
let the user know what's going on, and keeps them entertained. There
are also extra-large cartoon-style mouse pointer shapes.

%description -l pl.UTF-8
Tux Paint jest prostym programem do rysowania dla dzieci (3-10 lat).
Nie jest on narzędziem służącym do nauki rysowania, lecz programem
łatwym w użyciu, służącym zabawie. Efekty dźwiękowe i komiksowy
charakter pomagają użytkownikowi w łatwym poruszaniu się po programie,
czyniąc go rozrywkowym. W programie jest także duży wskaźnik myszki
oraz przyciski utrzymane w stylu komiksowym.

%package stamps
Summary:	Tux Paint - Collection of "rubber stamp" images
Summary(pl.UTF-8):	Tux Paint - Kolekcja obrazów z "gumowej pieczątki"
Group:		X11/Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description stamps
This is a collection of "rubber stamp" images for Tux Paint.

%description stamps -l pl.UTF-8
Jest to kolekcja obrazów dla Tux Painta o nazwie "gumowa pieczątka".

%prep
%setup -q -a 1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
install -d trans

%build
%{__make} \
	CC="%{__cc}" \
	PREFIX="%{_prefix}" \
	MAGIC_PREFIX="%{_libdir}/%{name}/plugins" \
	CONFDIR="%{_sysconfdir}" \
	DATA_PREFIX="%{_datadir}/tuxpaint" \
	DOC_PREFIX="%{_datadir}/doc" \
	ICON_PREFIX="%{_pixmapsdir}" \
	X11_ICON_PREFIX="%{_pixmapsdir}" \
	LOCALE_PREFIX="%{_datadir}/locale" \
	OPTFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir}/%{name},%{_pixmapsdir},%{_desktopdir},%{_datadir}/%{name}/stamps}

%{__make} install \
	_prefix=$RPM_BUILD_ROOT%{_prefix}/ \
	MAGIC_PREFIX=$RPM_BUILD_ROOT%{_libdir}/%{name}/plugins \
	CONFDIR=$RPM_BUILD_ROOT%{_sysconfdir}/ \
	MAN_PREFIX=$RPM_BUILD_ROOT%{_mandir}/ \
	GNOME_PREFIX=$RPM_BUILD_ROOT%{_prefix}/ \
	KDE_PREFIX=$RPM_BUILD_ROOT%{_desktopdir}/ \
	X11_ICON_PREFIX=$RPM_BUILD_ROOT%{_pixmapsdir}/

install src/tuxpaint.conf $RPM_BUILD_ROOT%{_sysconfdir}
install data/images/icon48x48.png $RPM_BUILD_ROOT%{_pixmapsdir}/tuxpaint.png

%{__make} -C %{name}-stamps-%{stamps_ver} install-all \
	DATA_PREFIX=$RPM_BUILD_ROOT%{_datadir}/%{name}/

chmod -R a+rwx $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_datadir}/{doc/tuxpaint,gnome/apps,tuxpaint/CVS}

# don't know what to do with some locales - removed for now
rm -rf \
	$RPM_BUILD_ROOT%{_datadir}/locale/bo \
	$RPM_BUILD_ROOT%{_datadir}/locale/en_ZA \
	$RPM_BUILD_ROOT%{_datadir}/locale/gos \
	$RPM_BUILD_ROOT%{_datadir}/locale/oj \
	$RPM_BUILD_ROOT%{_datadir}/locale/shs \
	$RPM_BUILD_ROOT%{_datadir}/locale/son \
	$RPM_BUILD_ROOT%{_datadir}/locale/twi \
	$RPM_BUILD_ROOT%{_datadir}/locale/zam \
	$RPM_BUILD_ROOT%{_datadir}/locale/zw

# rm a lot of unwanted files and directories:
find docs/ -type d|grep CVS|xargs rm -rf
find docs/ -name "[KC]OP*" -exec rm -f "{}" ";"
find docs/ -name "INS*" -exec rm -f "{}" ";"
find docs/ -name "AUT*" -exec rm -f "{}" ";"
find docs/ -size -50c -type f -exec rm -f "{}" ";"
find docs/ -empty |xargs rm -rf

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc docs/*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*
%lang(pl) %{_mandir}/pl/man?/*
%{_sysconfdir}/tuxpaint.conf
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/plugins/
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/brushes
%{_datadir}/%{name}/fonts
%{_datadir}/%{name}/im
%{_datadir}/%{name}/images
%{_datadir}/%{name}/sounds
%{_datadir}/%{name}/starters
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%files stamps
%defattr(644,root,root,755)
%{_datadir}/%{name}/stamps

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tuxpaint.spec,v $
Revision 1.55  2012/02/13 14:08:09  adamg
- release 4 (rebuild against libpng-1.5)

Revision 1.54  2012/02/07 22:08:04  arekm
- release 3

Revision 1.53  2011/12/20 19:40:14  arekm
- release 2

Revision 1.52  2009/11/27 14:42:28  sparky
- fixed locale regeneration
- TODO: put stamps in separated spec
- BR: rpm-pythonprov

Revision 1.51  2009/06/29 13:03:05  lisu
- updated to 0.9.21
- stamps updated to 2009.06.28
- missing BRs: fribidi-devel, pkgconfig
- pass LDFLAGS when linking (-ldflags.patch)
- remove more unwatnted locales

Revision 1.50  2008/09/03 16:19:10  arvenil
- up to 0.9.20
- pt_PT -> pt
- pass %{_libdir} to Makefile
- packaged more files
- added TODO
- adapter

Revision 1.49  2008/04/15 12:59:33  mguevara
- make install-all instead of make install for stamps

Revision 1.48  2008-04-15 11:36:51  mguevara
- 0.9.19-1, epoch 1 for easier upgrade from Ac

Revision 1.47  2008-04-15 10:50:01  mguevara
- tuxpaint-locale_names.patch updated, added br librsvg-devel, changed
  sourceforge download urls

Revision 1.46  2008-03-05 01:12:15  wolvverine
- up to 0.9.19, stamp 2008.03.01, NFY

Revision 1.45  2008-01-26 11:19:29  cactus
- plugins added

Revision 1.44  2007-12-06 23:19:22  lisu
- add missing change to previous commit log

Revision 1.43  2007-12-06 23:17:51  lisu
- up to 0.9.18
- stamps updated to 2007.11.21 ver
- BR: SDL_Pango-devel
- some fixes in pl desc

Revision 1.42  2007-07-04 10:35:18  lisu
- 0.9.17
- stamps updated to 2007.07.01
- -opt.patch, -pl.patch no needed
- BR: libpaper-devel

Revision 1.41  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.40  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.39  2006/11/07 22:31:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.38  2006/10/30 20:21:23  shadzik
- BR: gettext-devel

Revision 1.37  2006/10/30 20:16:10  shadzik
- cosmetics

Revision 1.36  2006/10/29 22:33:48  lisu
- new URL

Revision 1.35  2006/10/23 21:08:18  lisu
- up to 0.9.16
- stamps updated to 2006.10.21
- License changed to GPL v2
- tuxpaint-opt.patch unhashed (I think it is needed)

Revision 1.34  2004/11/18 16:05:52  ankry
- added Categories, rel. 4

Revision 1.33  2004/11/18 15:40:50  ankry
- pl updated, rel. 3

Revision 1.32  2004/11/10 15:56:16  ankry
- locale fixes, rel. 2

Revision 1.31  2004/11/01 18:30:23  adamg
- stamps updated to 2004-10-03
- removed desktop file (there is one in sources)
- added missing %{_datadir}/%{name}/starters dir

Revision 1.30  2004/11/01 16:42:14  adamg
- updated to 0.9.14

Revision 1.29  2004/10/18 19:29:55  qboosh
- __cc fix, gpm-friendly Source URLs

Revision 1.28  2004/08/20 17:51:13  kolodko
- rm a lot of unwanted files and directories in doc

Revision 1.27  2004/07/05 20:16:55  adamg
- did I fix what I broke? did I? did I? Say I fixed that! Builds now!

Revision 1.26  2004/07/04 21:57:26  adamg
- applnk -> vfolders; release 3

Revision 1.25  2003/12/25 17:18:53  undefine
- update to 0.9.13

Revision 1.24  2003/12/01 01:51:13  undefine
- think!

Revision 1.23  2003/12/01 01:49:13  undefine
- dummy workaround, release 2

Revision 1.22  2003/12/01 01:09:36  undefine
- change some pathes. If You thing that something is wrong, simply fix it.

Revision 1.21  2003/11/11 01:33:24  ankry
- caps unification, other cosmetics

Revision 1.20  2003/06/27 13:10:48  mmazur
- mass commit; now req: name = epoch:version

Revision 1.19  2003/06/06 12:33:22  qboosh
- updated feedback address

Revision 1.18  2003/05/28 13:02:23  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 06:27:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/02/12 08:39:54  qboosh
- Epoch 1

Revision 1.15  2003/02/12 08:37:17  cieciwa
- updated to version 0.9.9,
- updated source location.

Revision 1.14  2003/01/18 22:57:40  juandon
- removed two lines with define

Revision 1.13  2002/10/11 07:42:27  qboosh
- added opt patch, release 2

Revision 1.12  2002/10/10 15:48:26  kloczek
- finished.

Revision 1.11  2002/10/10 11:15:56  qboosh
- fixed install

Revision 1.10  2002/10/09 13:30:18  qboosh
- typos, fixed files list, cleanups

Revision 1.9  2002/10/06 07:48:10  djrzulf
- another typo,

Revision 1.8  2002/10/05 17:21:07  djrzulf
- fixed typo,

Revision 1.7  2002/10/05 15:51:15  djrzulf
- .desktop file from repo

Revision 1.6  2002/10/05 14:46:21  djrzulf
- section clean

Revision 1.5  2002/10/05 14:20:53  djrzulf
- fixed Group,

Revision 1.4  2002/10/05 14:19:37  djrzulf
- finished, Release 1, STBR,
- Have fun!

Revision 1.3  2002/10/05 13:08:53  djrzulf
- Release 0.2, some cleanups, temporary save,

Revision 1.2  2002/10/05 11:50:23  djrzulf
- summary and desc updated,

Revision 1.1  2002/10/04 22:02:25  cieciwa
- initial release 0.1,
- NFY needs %%description, %%files, %%build.
